Imports SpeechLib

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try
            If Not IsPostBack() Then
                Dim number As Integer
                Dim rnd As New Random()     '   Random number generator

                number = rnd.Next(1, 10)    '   Generates random number between 1 and 10

                '   Storing the random number in the hidden label
                lblGuessedNumber.Text = number
            End If
        Catch ex As Exception
            Throw ex
        End Try
    End Sub

    Protected Sub btnGuess_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnGuess.Click
        Try
            '   Variables declaration
            Dim voice As New SpVoice
            Dim userNumber As Integer
            Dim computerNumber As Integer

            '   Parse the numbers and store then in integer variables
            userNumber = Integer.Parse(txtNumber.Text)
            computerNumber = Integer.Parse(lblGuessedNumber.Text)

            '   Speak the verdict
            If (userNumber < computerNumber) Then
                voice.Speak(txtNumber.Text & " is too low!")
            ElseIf (userNumber > computerNumber) Then
                voice.Speak(txtNumber.Text & " is too high!")
            Else
                voice.Speak("Cool man! You guessed the correct number!")
            End If
        Catch ex As Exception
            Throw ex
        End Try
    End Sub
End Class
